diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index c64de73bd..60ff902bf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -1619,27 +1619,17 @@ class MViewNode(ViewNode, VacuumSettings):
         This function will generate sql from model data
         """
         if vid is not None:
-            SQL = render_template("/".join(
-                [self.template_path, 'sql/properties.sql']),
-                did=did,
-                vid=vid,
-                datlastsysoid=self.datlastsysoid
-            )
-            status, res = self.conn.execute_dict(SQL)
+            status, res = self._fetch_properties(did, None, vid)
+
             if not status:
-                return None, internal_server_error(errormsg=res)
-            if len(res['rows']) == 0:
-                return None, gone(
-                    gettext(
-                        "Could not find the materialized view on the server.")
-                )
+                return res
 
-            old_data = res['rows'][0]
+            old_data = res
 
             if 'name' not in data:
-                data['name'] = res['rows'][0]['name']
+                data['name'] = res['name']
             if 'schema' not in data:
-                data['schema'] = res['rows'][0]['schema']
+                data['schema'] = res['schema']
 
             # merge vacuum lists into one
             data['vacuum_data'] = {}
@@ -1660,26 +1650,6 @@ class MViewNode(ViewNode, VacuumSettings):
                                         item['value']))):
                                     data['vacuum_data']['changed'].append(item)
 
-            if (
-                'autovacuum_enabled' in data and
-                old_data['autovacuum_enabled'] is not None
-            ):
-                if (
-                    data['autovacuum_enabled'] !=
-                    old_data['autovacuum_enabled']
-                ):
-                    data['vacuum_data']['changed'].append(
-                        {'name': 'autovacuum_enabled',
-                         'value': data['autovacuum_enabled']})
-            elif (
-                'autovacuum_enabled' in data and
-                'autovacuum_custom' in data and
-                old_data['autovacuum_enabled'] is None and data[
-                    'autovacuum_custom']):
-                data['vacuum_data']['changed'].append(
-                    {'name': 'autovacuum_enabled',
-                     'value': data['autovacuum_enabled']})
-
             # toast autovacuum: separate list of changed and reset data
             if 'vacuum_toast' in data:
                 if 'changed' in data['vacuum_toast']:
@@ -1696,27 +1666,6 @@ class MViewNode(ViewNode, VacuumSettings):
                                         item['value']))):
                                     data['vacuum_data']['changed'].append(item)
 
-            if (
-                'toast_autovacuum_enabled' in data and
-                old_data['toast_autovacuum_enabled'] is not None
-            ):
-                if (
-                    data['toast_autovacuum_enabled'] !=
-                    old_data['toast_autovacuum_enabled']
-                ):
-                    data['vacuum_data']['changed'].append(
-                        {'name': 'toast.autovacuum_enabled',
-                         'value': data['toast_autovacuum_enabled']})
-            elif (
-                'toast_autovacuum_enabled' in data and
-                'toast_autovacuum' in data and
-                old_data['toast_autovacuum_enabled'] is None and
-                data['toast_autovacuum']
-            ):
-                data['vacuum_data']['changed'].append(
-                    {'name': 'toast.autovacuum_enabled',
-                     'value': data['toast_autovacuum_enabled']})
-
             acls = []
             try:
                 acls = render_template(
@@ -1762,32 +1711,15 @@ class MViewNode(ViewNode, VacuumSettings):
                 data['schema'] = self._get_schema(data['schema'])
 
             # merge vacuum lists into one
-            vacuum_table = [item for item in data['vacuum_table']
+            vacuum_table = [item for item in data.get('vacuum_table', [])
                             if 'value' in item.keys() and
                             item['value'] is not None]
             vacuum_toast = [
                 {'name': 'toast.' + item['name'], 'value': item['value']}
-                for item in data['vacuum_toast']
+                for item in data.get('vacuum_toast', [])
                 if 'value' in item.keys() and item['value'] is not None]
 
-            # add table_enabled & toast_enabled settings
-            if 'autovacuum_custom' in data and data['autovacuum_custom']:
-                vacuum_table.append(
-                    {
-                        'name': 'autovacuum_enabled',
-                        'value': str(data['autovacuum_enabled'])
-                    }
-                )
-            if 'toast_autovacuum' in data and data['toast_autovacuum']:
-                vacuum_table.append(
-                    {
-                        'name': 'toast.autovacuum_enabled',
-                        'value': str(data['toast_autovacuum_enabled'])
-                    }
-                )
-
-            # add vacuum_toast dict to vacuum_data only if
-            # table & toast's custom autovacuum is enabled
+            # add vacuum_toast dict to vacuum_data
             data['vacuum_data'] = []
             if (
                 'autovacuum_custom' in data and
@@ -1838,22 +1770,10 @@ class MViewNode(ViewNode, VacuumSettings):
             display_comments = False
 
         SQL_data = ''
-        SQL = render_template("/".join(
-            [self.template_path, 'sql/properties.sql']),
-            did=did,
-            vid=vid,
-            datlastsysoid=self.datlastsysoid
-        )
+        status, result = self._fetch_properties(did, scid, vid)
 
-        status, res = self.conn.execute_dict(SQL)
         if not status:
-            return internal_server_error(errormsg=res)
-        if len(res['rows']) == 0:
-            return gone(
-                gettext("Could not find the materialized view on the server.")
-            )
-
-        result = res['rows'][0]
+            return result
 
         if diff_schema:
             result['definition'] = result['definition'].replace(
@@ -1861,16 +1781,6 @@ class MViewNode(ViewNode, VacuumSettings):
                 diff_schema)
             result['schema'] = diff_schema
 
-        # sending result to formtter
-        frmtd_reslt = self.formatter(result)
-
-        # merging formated result with main result again
-        result.update(frmtd_reslt)
-        result['vacuum_table'] = self.parse_vacuum_data(
-            self.conn, result, 'table')
-        result['vacuum_toast'] = self.parse_vacuum_data(
-            self.conn, result, 'toast')
-
         # merge vacuum lists into one
         vacuum_table = [item for item in result['vacuum_table']
                         if
@@ -1880,43 +1790,7 @@ class MViewNode(ViewNode, VacuumSettings):
             for item in result['vacuum_toast'] if
             'value' in item.keys() and item['value'] is not None]
 
-        if 'autovacuum_custom' in result and result['autovacuum_custom']:
-            vacuum_table.append(
-                {
-                    'name': 'autovacuum_enabled',
-                    'value': str(result['autovacuum_enabled'])
-                }
-            )
-        if 'toast_autovacuum' in result and result['toast_autovacuum']:
-            vacuum_table.append(
-                {
-                    'name': 'toast.autovacuum_enabled',
-                    'value': str(result['toast_autovacuum_enabled'])
-                }
-            )
-
-        # add vacuum_toast dict to vacuum_data only if
-        # toast's autovacuum is enabled
-        if (
-            'toast_autovacuum_enabled' in result and
-            result['toast_autovacuum_enabled'] is True
-        ):
-            result['vacuum_data'] = vacuum_table + vacuum_toast
-        else:
-            result['vacuum_data'] = vacuum_table
-
-        # Fetch all privileges for view
-        SQL = render_template("/".join(
-            [self.template_path, 'sql/acl.sql']), vid=vid)
-        status, dataclres = self.conn.execute_dict(SQL)
-        if not status:
-            return internal_server_error(errormsg=res)
-
-        for row in dataclres['rows']:
-            priv = parse_priv_from_db(row)
-            res['rows'][0].setdefault(row['deftype'], []).append(priv)
-
-        result.update(res['rows'][0])
+        result['vacuum_data'] = vacuum_table + vacuum_toast
 
         acls = []
         try:
@@ -1996,6 +1870,7 @@ class MViewNode(ViewNode, VacuumSettings):
         and render in the properties tab
         """
         status, res = self._fetch_properties(did, scid, vid)
+
         if not status:
             return res
 
@@ -2023,6 +1898,59 @@ class MViewNode(ViewNode, VacuumSettings):
             return False, gone(
                 gettext("""Could not find the materialized view."""))
 
+        # Set value based on
+        # x: No set, t: true, f: false
+        res['rows'][0]['autovacuum_enabled'] = 'x' \
+            if res['rows'][0]['autovacuum_enabled'] is None else \
+            {True: 't', False: 'f'}[res['rows'][0]['autovacuum_enabled']]
+
+        res['rows'][0]['toast_autovacuum_enabled'] = 'x' \
+            if res['rows'][0]['toast_autovacuum_enabled'] is None else \
+            {True: 't', False: 'f'}[res['rows'][0]['toast_autovacuum_enabled']]
+
+        # Enable custom autovaccum only if one of the options is set
+        # or autovacuum is set
+        res['rows'][0]['autovacuum_custom'] = any([
+            res['rows'][0]['autovacuum_vacuum_threshold'],
+            res['rows'][0]['autovacuum_vacuum_scale_factor'],
+            res['rows'][0]['autovacuum_analyze_threshold'],
+            res['rows'][0]['autovacuum_analyze_scale_factor'],
+            res['rows'][0]['autovacuum_vacuum_cost_delay'],
+            res['rows'][0]['autovacuum_vacuum_cost_limit'],
+            res['rows'][0]['autovacuum_freeze_min_age'],
+            res['rows'][0]['autovacuum_freeze_max_age'],
+            res['rows'][0]['autovacuum_freeze_table_age']]) \
+            or res['rows'][0]['autovacuum_enabled'] in ('t', 'f')
+
+        res['rows'][0]['toast_autovacuum'] = any([
+            res['rows'][0]['toast_autovacuum_vacuum_threshold'],
+            res['rows'][0]['toast_autovacuum_vacuum_scale_factor'],
+            res['rows'][0]['toast_autovacuum_analyze_threshold'],
+            res['rows'][0]['toast_autovacuum_analyze_scale_factor'],
+            res['rows'][0]['toast_autovacuum_vacuum_cost_delay'],
+            res['rows'][0]['toast_autovacuum_vacuum_cost_limit'],
+            res['rows'][0]['toast_autovacuum_freeze_min_age'],
+            res['rows'][0]['toast_autovacuum_freeze_max_age'],
+            res['rows'][0]['toast_autovacuum_freeze_table_age']]) \
+            or res['rows'][0]['toast_autovacuum_enabled'] in ('t', 'f')
+
+        res['rows'][0]['vacuum_settings_str'] = ''
+
+        if res['rows'][0]['reloptions'] is not None:
+            res['rows'][0]['vacuum_settings_str'] += '\n'.\
+                join(res['rows'][0]['reloptions'])
+
+        if res['rows'][0]['toast_reloptions'] is not None:
+            res['rows'][0]['vacuum_settings_str'] += '\n' \
+                if res['rows'][0]['vacuum_settings_str'] != "" else ""
+            res['rows'][0]['vacuum_settings_str'] += '\n'.\
+                join(map(lambda o: 'toast.' + o,
+                         res['rows'][0]['toast_reloptions']))
+
+        res['rows'][0]['vacuum_settings_str'] = res['rows'][0][
+            'vacuum_settings_str'
+        ].replace('=', ' = ')
+
         SQL = render_template("/".join(
             [self.template_path, 'sql/acl.sql']), vid=vid)
         status, dataclres = self.conn.execute_dict(SQL)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 34d45773c..5036f8a77 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -58,6 +58,7 @@ define('pgadmin.node.mview', [
       hasDepends: true,
       hasScriptTypes: ['create', 'select'],
       collection_type: 'coll-mview',
+      width: pgBrowser.stdW.md + 'px',
       Init: function() {
 
         // Avoid mulitple registration of menus
@@ -140,8 +141,8 @@ define('pgadmin.node.mview', [
         },
         defaults: {
           spcname: undefined,
-          toast_autovacuum_enabled: false,
-          autovacuum_enabled: false,
+          toast_autovacuum_enabled: 'x',
+          autovacuum_enabled: 'x',
           warn_text: undefined,
         },
         schema: [{
@@ -207,6 +208,9 @@ define('pgadmin.node.mview', [
           id: 'fillfactor', label: gettext('Fill factor'),
           group: gettext('Storage'), mode: ['edit', 'create'],
           type: 'int', min: 10, max: 100,
+        },{
+          id: 'vacuum_settings_str', label: gettext('Storage settings'),
+          type: 'multiline', group: gettext('Storage'), mode: ['properties'],
         },{
           type: 'nested', control: 'tab', id: 'materialization',
           label: gettext('Parameter'), mode: ['edit', 'create'],
@@ -228,6 +232,16 @@ define('pgadmin.node.mview', [
           mode: ['edit', 'create'], canAdd: true,
           control: 'unique-col-collection', uniqueCol : ['provider'],
         }],
+        sessChanged: function() {
+          /* If only custom autovacuum option is enabled the check if the options table is also changed. */
+          if(_.size(this.sessAttrs) == 2 && this.sessAttrs['autovacuum_custom'] && this.sessAttrs['toast_autovacuum']) {
+            return this.get('vacuum_table').sessChanged() || this.get('vacuum_toast').sessChanged();
+          }
+          if(_.size(this.sessAttrs) == 1 && (this.sessAttrs['autovacuum_custom'] || this.sessAttrs['toast_autovacuum'])) {
+            return this.get('vacuum_table').sessChanged() || this.get('vacuum_toast').sessChanged();
+          }
+          return pgBrowser.DataModel.prototype.sessChanged.apply(this);
+        },
         validate: function(keys) {
 
           // Triggers specific error messages for fields
@@ -235,9 +249,11 @@ define('pgadmin.node.mview', [
             errmsg,
             field_name = this.get('name'),
             field_def = this.get('definition');
-          if (_.indexOf(keys, 'autovacuum_enabled') != -1 ||
+
+          if(_.indexOf(keys, 'autovacuum_custom'))
+            if (_.indexOf(keys, 'autovacuum_enabled') != -1 ||
               _.indexOf(keys, 'toast_autovacuum_enabled') != -1 )
-            return null;
+              return null;
 
           if (_.isUndefined(field_name) || _.isNull(field_name) ||
             String(field_name).replace(/^\s+|\s+$/g, '') == '') {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
index a79299f2e..c79991c4f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
@@ -4,8 +4,7 @@
 
 CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 WITH (
-    FILLFACTOR = 18,
-    autovacuum_enabled = false
+    FILLFACTOR = 18
 )
 TABLESPACE pg_default
 AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
index 72fb22614..824b3d13f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
@@ -5,8 +5,8 @@
 CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18,
-    autovacuum_analyze_scale_factor = 0.2,
-    autovacuum_enabled = true
+    autovacuum_enabled = TRUE,
+    autovacuum_analyze_scale_factor = 0.2
 )
 TABLESPACE pg_default
 AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql
index 737ffaa32..6f13ab46d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter_msql.sql
@@ -1,4 +1,4 @@
 ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" SET(
-  autovacuum_analyze_scale_factor = 0.2,
-  autovacuum_enabled = true
+    autovacuum_enabled = true,
+    autovacuum_analyze_scale_factor = 0.2
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
index a79299f2e..c79991c4f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
@@ -4,8 +4,7 @@
 
 CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 WITH (
-    FILLFACTOR = 18,
-    autovacuum_enabled = false
+    FILLFACTOR = 18
 )
 TABLESPACE pg_default
 AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql
index 8aed82923..cccaa3885 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter_msql.sql
@@ -1,6 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" SET(
-  autovacuum_enabled = false
-);
 ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" RESET(
-  autovacuum_analyze_scale_factor
+    autovacuum_enabled,
+    autovacuum_analyze_scale_factor
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql
index 8a297d450..d281242c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_fillfactor.sql
@@ -4,8 +4,7 @@
 
 CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 WITH (
-    FILLFACTOR = 18,
-    autovacuum_enabled = false
+    FILLFACTOR = 18
 )
 TABLESPACE pg_default
 AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql
index 3fc763dd4..b38de214f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter.sql
@@ -5,8 +5,8 @@
 CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 WITH (
     FILLFACTOR = 18,
-    autovacuum_analyze_scale_factor = 0.2,
-    autovacuum_enabled = true
+    autovacuum_enabled = TRUE,
+    autovacuum_analyze_scale_factor = 0.2
 )
 TABLESPACE pg_default
 AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql
index 737ffaa32..6f13ab46d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_add_table_parameter_msql.sql
@@ -1,4 +1,4 @@
 ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" SET(
-  autovacuum_analyze_scale_factor = 0.2,
-  autovacuum_enabled = true
+    autovacuum_enabled = true,
+    autovacuum_analyze_scale_factor = 0.2
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter.sql
index 8a297d450..d281242c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter.sql
@@ -4,8 +4,7 @@
 
 CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 WITH (
-    FILLFACTOR = 18,
-    autovacuum_enabled = false
+    FILLFACTOR = 18
 )
 TABLESPACE pg_default
 AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter_msql.sql
index 8aed82923..cccaa3885 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_mview_remove_table_parameter_msql.sql
@@ -1,6 +1,4 @@
-ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" SET(
-  autovacuum_enabled = false
-);
 ALTER MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#" RESET(
-  autovacuum_analyze_scale_factor
+    autovacuum_enabled,
+    autovacuum_analyze_scale_factor
 );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
index c84276ef6..177aa21b5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
@@ -24,25 +24,105 @@ from . import utils as views_utils
 class MViewsUpdateParameterTestCase(BaseTestGenerator):
     """This class will update the view/mview under schema node."""
     scenarios = [
-        ('Enable custom auto vacuum and set the parameters for table',
-         dict(url='/browser/mview/obj/', type='set_vacuum_parameters')
+        # Fetching default URL for table node.
+        ('Enable custom auto vacuum and set the parameters for table '
+         'without autovacuum_enabled',
+         dict(url='/browser/mview/obj/',
+              api_data={
+                  'autovacuum_custom': True,
+                  'vacuum_table': {
+                      'changed': [
+                          {'name': 'autovacuum_vacuum_cost_delay',
+                           'value': 20},
+                          {'name': 'autovacuum_vacuum_threshold',
+                           'value': 20}
+                      ]
+                  }}
+              )
          ),
-        ('Disable auto vacuum and reset the parameters for table',
-         dict(url='/browser/mview/obj/', type='reset_vacuum_parameters')
+        ('Change a parameter to zero value '
+         'without autovacuum_enabled',
+         dict(url='/browser/mview/obj/',
+              api_data={
+                  'vacuum_table': {
+                      'changed': [
+                          {'name': 'autovacuum_vacuum_cost_delay',
+                           'value': 0}
+                      ]
+                  }}
+              )
          ),
-        ('Disable custom auto vacuum and reset all the parameters for table',
-         dict(url='/browser/mview/obj/', type='reset_all_vacuum_parameters')
+        ('Enable autovacuum_enabled',
+         dict(url='/browser/mview/obj/',
+              api_data={'autovacuum_enabled': 't'}
+              )
          ),
-        ('Enable custom auto vacuum and set the toast parameters for table',
-         dict(url='/browser/mview/obj/', type='set_toast_parameters')
+        ('Reset individual parameters for table',
+         dict(url='/browser/mview/obj/',
+              api_data={
+                  'autovacuum_enabled': 'x',
+                  'vacuum_table': {
+                      'changed': [
+                          {'name': 'autovacuum_vacuum_cost_delay',
+                           'value': None},
+                      ]
+                  }}
+              )
          ),
-        ('Disable auto vacuum and reset the toast parameters for table',
-         dict(url='/browser/mview/obj/', type='reset_toast_parameters')
+        ('Reset custom auto vacuum',
+         dict(url='/browser/mview/obj/',
+              api_data={'autovacuum_custom': False}
+              )
+         ),
+        ('Enable toast custom auto vacuum and set the parameters for table '
+         'without autovacuum_enabled',
+         dict(url='/browser/mview/obj/',
+              api_data={
+                  'toast_autovacuum': True,
+                  'vacuum_toast': {
+                      'changed': [
+                          {'name': 'autovacuum_vacuum_cost_delay',
+                           'value': 20},
+                          {'name': 'autovacuum_vacuum_threshold',
+                           'value': 20}
+                      ]
+                  }}
+              )
+         ),
+        ('Change a toast parameter to zero value '
+         'without autovacuum_enabled',
+         dict(url='/browser/mview/obj/',
+              api_data={
+                  'vacuum_toast': {
+                      'changed': [
+                          {'name': 'autovacuum_vacuum_cost_delay',
+                           'value': 0}
+                      ]
+                  }}
+              )
+         ),
+        ('Enable toast.autovacuum_enabled',
+         dict(url='/browser/mview/obj/',
+              api_data={'toast_autovacuum_enabled': 't'}
+              )
+         ),
+        ('Reset individual toast parameters for table',
+         dict(url='/browser/mview/obj/',
+              api_data={
+                  'toast_autovacuum_enabled': 'x',
+                  'vacuum_toast': {
+                      'changed': [
+                          {'name': 'autovacuum_vacuum_cost_delay',
+                           'value': None},
+                      ]
+                  }}
+              )
+         ),
+        ('Reset auto vacuum',
+         dict(url='/browser/mview/obj/',
+              api_data={'toast_autovacuum': False}
+              )
          ),
-        ('Disable custom auto vacuum and reset all the toast '
-         'parameters for table',
-         dict(url='/browser/mview/obj/', type='reset_all_toast_parameters')
-         )
     ]
 
     @classmethod
@@ -88,49 +168,8 @@ class MViewsUpdateParameterTestCase(BaseTestGenerator):
         if not mview_response:
             raise Exception("Could not find the mview to update.")
 
-        data = None
-        if self.type == 'set_vacuum_parameters':
-            data = dict({'oid': self.m_view_id,
-                         'autovacuum_custom': True,
-                         'autovacuum_enabled': True,
-                         'vacuum_table': dict({'changed': [
-                             {'name': 'autovacuum_vacuum_cost_delay',
-                              'value': 20},
-                             {'name': 'autovacuum_vacuum_threshold',
-                              'value': 20}
-                         ]})})
-        elif self.type == 'reset_vacuum_parameters':
-            data = dict({'oid': self.m_view_id,
-                         'autovacuum_enabled': False,
-                         'vacuum_table': dict({'changed': [
-                             {'name': 'autovacuum_vacuum_cost_delay',
-                              'value': None},
-                             {'name': 'autovacuum_vacuum_threshold',
-                              'value': None}
-                         ]})})
-        elif self.type == 'reset_all_vacuum_parameters':
-            data = dict({'oid': self.m_view_id, 'autovacuum_custom': False})
-        elif self.type == 'set_toast_parameters':
-            data = dict({'oid': self.m_view_id,
-                         'autovacuum_custom': True,
-                         'autovacuum_enabled': True,
-                         'vacuum_toast': dict({'changed': [
-                             {'name': 'autovacuum_vacuum_cost_delay',
-                              'value': 20},
-                             {'name': 'autovacuum_vacuum_threshold',
-                              'value': 20}
-                         ]})})
-        elif self.type == 'reset_toast_parameters':
-            data = dict({'oid': self.m_view_id,
-                         'autovacuum_enabled': False,
-                         'vacuum_toast': dict({'changed': [
-                             {'name': 'autovacuum_vacuum_cost_delay',
-                              'value': None},
-                             {'name': 'autovacuum_vacuum_threshold',
-                              'value': None}
-                         ]})})
-        elif self.type == 'reset_all_toast_parameters':
-            data = dict({'oid': self.m_view_id, 'autovacuum_custom': False})
+        data = self.api_data
+        data['oid'] = self.m_view_id
 
         response = self.tester.put(self.url + str(utils.SERVER_GROUP) + '/' +
                                    str(self.server_id) + '/' +
